## modem-manager-gui 0.0.20

=== Makefile ===
include Makefile_h

DESTDIR=$(PREFIX)/bin

all: modem-manager-gui

modem-manager-gui:
	(cd src && ${MAKE} all)
	(cd src/modules && ${MAKE} all)
	(cd src/plugins && ${MAKE} all)
	(cd po && ${MAKE} all)
	(cd man && ${MAKE} all)
	(cd help && ${MAKE} all)
	(cd appdata && ${MAKE} all)
	(cd polkit && ${MAKE} all)

install:
	(cd src && ${MAKE} install)
	(cd src/modules && ${MAKE} install)
	(cd src/plugins && ${MAKE} install)
	(cd src/scripts && ${MAKE} install)
	(cd resources && ${MAKE} install)
	(cd po && ${MAKE} install)
	(cd man && ${MAKE} install)
	(cd help && ${MAKE} install)
	(cd appdata && ${MAKE} install)
	(cd polkit && ${MAKE} install)

uninstall:
	(cd src && ${MAKE} uninstall)
	(cd src/modules && ${MAKE} uninstall)
	(cd src/plugins && ${MAKE} uninstall)
	(cd src/scripts && ${MAKE} uninstall)
	(cd resources && ${MAKE} uninstall)
	(cd po && ${MAKE} uninstall)
	(cd man && ${MAKE} uninstall)
	(cd help && ${MAKE} uninstall)
	(cd appdata && ${MAKE} uninstall)
	(cd polkit && ${MAKE} uninstall)

clean:
	(cd src && ${MAKE} clean)
	(cd src/modules && ${MAKE} clean)
	(cd src/plugins && ${MAKE} clean)
	(cd po && ${MAKE} clean)
	(cd man && ${MAKE} clean)
	(cd help && ${MAKE} clean)
	(cd appdata && ${MAKE} clean)
	(cd polkit && ${MAKE} clean)

messages:
	(cd appdata && ${MAKE} messages)
	(cd help && ${MAKE} messages)
	(cd man && ${MAKE} messages)
	(cd po && ${MAKE} messages)
	(cd polkit && ${MAKE} messages)

upload-translations-sources:
	tx push -s

download-translations:
	tx pull -a

=== appdata/Makefile ===
include ../Makefile_h

APPDATADIR = $(PREFIX)/share/metainfo
APPSDIR    = $(PREFIX)/share/applications

all:
	while read lang; do \
		msgfmt $$lang.po -f -v -o $$lang.mo; \
	done < LINGUAS
	itstool -i its/appdata.its -j modem-manager-gui.appdata.xml.in -o modem-manager-gui.appdata.xml *.mo
	msgfmt --desktop --template modem-manager-gui.desktop.in -d . -o modem-manager-gui.desktop

install: 
	install -d $(INSTALLPREFIX)$(DESTDIR)$(APPDATADIR)
	cp modem-manager-gui.appdata.xml $(INSTALLPREFIX)$(DESTDIR)$(APPDATADIR)
	install -d $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)
	cp modem-manager-gui.desktop $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(APPDATADIR)/modem-manager-gui.appdata.xml
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)/modem-manager-gui.desktop

messages:
	itstool -i its/appdata.its -o modem-manager-gui.appdata.pot modem-manager-gui.appdata.xml.in
	xgettext -j -o modem-manager-gui.appdata.pot modem-manager-gui.desktop.in
	while read lang; do \
		msgmerge -U $$lang.po modem-manager-gui.appdata.pot; \
	done < LINGUAS

clean:
	rm -f *.mo
	rm -f modem-manager-gui.appdata.xml
	rm -f modem-manager-gui.desktop

=== help/Makefile ===
include ../Makefile_h

HELPDIR = $(PREFIX)/share/help

all:
	while read lang; do \
		msgfmt $$lang/$$lang.po -f -v -o $$lang/$$lang.mo;\
		for page in C/*.page; do \
			itstool -m $$lang/$$lang.mo -o $$lang/ $$page; \
		done \
	done < LINGUAS

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/C/modem-manager-gui
	cp -r C/* $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/C/modem-manager-gui
	while read lang; do \
		install -d $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/$$lang/modem-manager-gui/figures; \
		cp C/figures/* $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/$$lang/modem-manager-gui/figures/; \
		cp $$lang/*.page $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/$$lang/modem-manager-gui/; \
	done < LINGUAS

uninstall:
	rm -rf $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/C/modem-manager-gui
	while read lang; do \
		rm -rf $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/$$lang/modem-manager-gui; \
	done < LINGUAS

messages:
	itstool -o modem-manager-gui-help.pot C/*.page;
	while read lang; do \
		msgmerge -U $$lang/$$lang.po modem-manager-gui-help.pot; \
	done < LINGUAS

clean:
	while read lang; do \
		rm -f $$lang/$$lang.mo; \
		rm -f $$lang/*.page; \
	done < LINGUAS

=== man/Makefile ===
include ../Makefile_h

CMANDIR = $(PREFIX)/share/man/man1
LMANDIR = $(PREFIX)/share/man

all:
	while read lang; do \
		po4a-translate -f man -m modem-manager-gui.1 -p $$lang/$$lang.po -l $$lang/modem-manager-gui.1 -k 1; \
	done < LINGUAS

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(CMANDIR)
	cp modem-manager-gui.1 $(INSTALLPREFIX)$(DESTDIR)$(CMANDIR)
	gzip -f --best $(INSTALLPREFIX)$(DESTDIR)$(CMANDIR)/modem-manager-gui.1
	while read lang; do \
		install -d $(INSTALLPREFIX)$(DESTDIR)$(LMANDIR)/$$lang/man1; \
		cp $$lang/modem-manager-gui.1 $(INSTALLPREFIX)$(DESTDIR)$(LMANDIR)/$$lang/man1; \
		gzip -f --best $(INSTALLPREFIX)$(DESTDIR)$(LMANDIR)/$$lang/man1/modem-manager-gui.1; \
	done < LINGUAS

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(CMANDIR)/modem-manager-gui.1.gz
	while read lang; do \
		rm -f $(INSTALLPREFIX)$(DESTDIR)$(LMANDIR)/$$lang/man1/modem-manager-gui.1.gz; \
	done < LINGUAS

messages:
	po4a-gettextize -f man -m modem-manager-gui.1 -p modem-manager-gui.pot
	while read lang; do \
		msgmerge -U $$lang/$$lang.po modem-manager-gui.pot; \
	done < LINGUAS

clean:
	while read lang; do \
		rm -f $$lang/modem-manager-gui.1; \
	done < LINGUAS

=== po/Makefile ===
include ../Makefile_h

LOCALEDIR = $(PREFIX)/share/locale

all:
	while read lang; do \
		msgfmt $$lang.po -f -v -o $$lang.mo; \
	done < LINGUAS

install: 
	while read lang; do \
		install -d $(INSTALLPREFIX)$(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES; \
		cp $$lang.mo $(INSTALLPREFIX)$(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES/modem-manager-gui.mo; \
	done < LINGUAS

uninstall:
	while read lang; do \
		rm -f $(INSTALLPREFIX)$(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES/modem-manager-gui.mo; \
	done < LINGUAS

messages:
	xgettext -k_ -kN_ ../src/*.c -o modem-manager-gui.pot
	xgettext -j -L Glade ../resources/ui/*.ui -o modem-manager-gui.pot
	while read lang; do \
		msgmerge -U $$lang.po modem-manager-gui.pot; \
	done < LINGUAS

clean:
	rm -f *.mo

=== resources/Makefile ===
include ../Makefile_h

RESDIR      = $(PREFIX)/share/modem-manager-gui
ICONSPNGDIR = $(PREFIX)/share/icons/hicolor/128x128/apps
ICONSSVGDIR = $(PREFIX)/share/icons/hicolor/scalable/apps
ICONSSYMDIR = $(PREFIX)/share/icons/hicolor/symbolic/apps

install:
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	cp -r pixmaps $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	cp -r sounds $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	cp -r ui $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(ICONSPNGDIR)
	cp modem-manager-gui.png $(INSTALLPREFIX)$(DESTDIR)$(ICONSPNGDIR)
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(ICONSSVGDIR)
	cp modem-manager-gui.svg $(INSTALLPREFIX)$(DESTDIR)$(ICONSSVGDIR)
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(ICONSSYMDIR)
	cp modem-manager-gui-symbolic.svg $(INSTALLPREFIX)$(DESTDIR)$(ICONSSYMDIR)
	
uninstall:
	rm -rf $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(ICONSPNGDIR)/modem-manager-gui.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(ICONSSVGDIR)/modem-manager-gui.svg
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(ICONSSYMDIR)/modem-manager-gui-symbolic.svg

=== src/Makefile ===
include ../Makefile_h

BINDIR    = $(PREFIX)/bin
GCC       = gcc
ifeq ($(ADDLIBSNAMES),)
INC       = `pkg-config --cflags gtk+-3.0 gthread-2.0 gmodule-2.0`
LIB       = `pkg-config --libs gtk+-3.0 gthread-2.0 gmodule-2.0` -lgdbm -lm
else
INC       = `pkg-config --cflags gtk+-3.0 gthread-2.0 gmodule-2.0 $(ADDLIBSNAMES)`
LIB       = `pkg-config --libs gtk+-3.0 gthread-2.0 gmodule-2.0 $(ADDLIBSNAMES)` -lgdbm -lm
endif
OBJ       = settings.o strformat.o libpaths.o dbus-utils.o notifications.o addressbooks.o ayatana.o smsdb.o trafficdb.o providersdb.o modem-settings.o ussdlist.o encoding.o vcard.o netlink.o polkit.o svcmanager.o mmguicore.o contacts-page.o traffic-page.o scan-page.o info-page.o ussd-page.o sms-page.o devices-page.o preferences-window.o welcome-window.o connection-editor-window.o main.o

all: modem-manager-gui

modem-manager-gui: $(OBJ)
	$(GCC) $(INC) $(LDFLAGS) $(OBJ) $(LIB) -o modem-manager-gui

.c.o:
	$(GCC) $(INC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)
	install modem-manager-gui $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)/modem-manager-gui

clean:
	rm -f *.o
	rm -f modem-manager-gui

=== src/modules/Makefile ===
include ../../Makefile_h

GCCMOD     = gcc -fPIC
GCCLMOD    = gcc -shared
INCMOD     = `pkg-config --cflags glib-2.0` `pkg-config --cflags  gmodule-2.0` `pkg-config --cflags gio-2.0`
LIBMOD     = `pkg-config --libs glib-2.0` `pkg-config --libs gmodule-2.0` `pkg-config --libs gio-2.0`
LIBMOD1    = `pkg-config --libs glib-2.0` `pkg-config --libs gmodule-2.0` `pkg-config --libs gio-2.0` -lgdbm -lm
LIBMOD2    = `pkg-config --libs glib-2.0` `pkg-config --libs gmodule-2.0` `pkg-config --libs gio-2.0` -lgdbm -lm
LIBMOD5    = `pkg-config --libs glib-2.0` `pkg-config --libs gmodule-2.0` `pkg-config --libs gio-2.0` -lgdbm -lrt -lm
OBJMOD1    = smsdb.o encoding.o dbus-utils.o mm06.o
OBJMOD2    = smsdb.o encoding.o dbus-utils.o mm07.o
OBJMOD3    = uuid.o nm09.o
OBJMOD4    = pppd245.o
OBJMOD5    = smsdb.o encoding.o historyshm.o vcard.o ofono109.o
OBJMOD6    = uuid.o connman112.o
LIBDIR     = $(LIBPATH)/modem-manager-gui/modules/

all: mm06 mm07 nm09 pppd245 ofono109 connman112

#Modem Manager <= 0.6.2
mm06: $(OBJMOD1)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OBJMOD1) $(LIBMOD1) -o libmodmm_mm06.so
#Modem Manager >= 0.7.0
mm07: $(OBJMOD2)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OBJMOD2) $(LIBMOD2) -o libmodmm_mm07.so
#Network Manager >= 0.9.0
nm09: $(OBJMOD3)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OBJMOD3) $(LIBMOD) -o libmodcm_nm09.so
#PPPD >= 2.4.5
pppd245: $(OBJMOD4)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OBJMOD4) $(LIBMOD) -o libmodcm_pppd245.so
#oFono >= 1.9
ofono109: $(OBJMOD5)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OBJMOD5) $(LIBMOD5) -o libmodmm_ofono109.so
#Connman >= 1.12
connman112: $(OBJMOD6)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OBJMOD6) $(LIBMOD) -o libmodcm_connman112.so
#Shared SMS database
smsdb.o: ../smsdb.c
	$(GCCMOD) $(INCMOD) -c $(CPPFLAGS) $(CFLAGS) $< -o $@
#Shared string encoding functions
encoding.o: ../encoding.c
	$(GCCMOD) $(INCMOD) -c $(CPPFLAGS) $(CFLAGS) $< -o $@
#Shared VCard format parser
vcard.o: ../vcard.c
	$(GCCMOD) $(INCMOD) -c $(CPPFLAGS) $(CFLAGS) $< -o $@
#Shared DBus functions
dbus-utils.o: ../dbus-utils.c
	$(GCCMOD) $(INCMOD) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

.c.o:
	$(GCCMOD) $(INCMOD) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

install:
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)
	cp *.so $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)/*.so

clean:
	rm -f *.o
	rm -f *.so

=== src/plugins/Makefile ===
include ../../Makefile_h

GCCMOD        = gcc -fPIC
GCCLMOD       = gcc -shared
INCMOD        = `pkg-config --cflags glib-2.0 ofono`
OFONOLIBMOD   = `pkg-config --libs glib-2.0` -lgdbm -lrt
OFONOOBJMOD   = ofonohistory.o
OFONOLIBDIR   = $(LIBPATH)/ofono/plugins/
FILES_OFONO:= $(wildcard libmmgui-ofono*.so)

all: ofonohistory

ifeq ($(OFONOPLUGIN),true)
ofonohistory: $(OFONOOBJMOD)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OFONOOBJMOD) $(OFONOLIBMOD) -o libmmgui-ofono-history.so
else
ofonohistory:
	
endif

.c.o:
	$(GCCMOD) $(INCMOD) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

install:
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(OFONOLIBDIR)
	for f in $(FILES_OFONO); do \
		cp $$f $(INSTALLPREFIX)$(DESTDIR)$(OFONOLIBDIR); \
	done

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(OFONOLIBDIR)/*.so

clean:
	rm -f *.o
	rm -f *.so

=== src/scripts/Makefile ===
include ../../Makefile_h

NMDISPDIR     = /etc/NetworkManager/dispatcher.d

install:
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(NMDISPDIR)
	install 95-mmgui-timestamp-notifier $(INSTALLPREFIX)$(DESTDIR)$(NMDISPDIR)
	
	
uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(NMDISPDIR)/95-mmgui-timestamp-notifier

=== debian/changelog ===
modem-manager-gui (0.0.20-6build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:20 +1100

modem-manager-gui (0.0.20-6build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:14:40 +0000

modem-manager-gui (0.0.20-6build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:45:35 +0000

modem-manager-gui (0.0.20-6) unstable; urgency=medium

  * debian/control:
    - dependency switch policykit-1 -> polkitd (Closes: #1025603)
    - S-V bump 4.6.1 -> 4.6.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 18 Aug 2023 20:04:57 +0200

modem-manager-gui (0.0.20-5) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #1016715)
    - fix_assertion_not_set.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 06 Aug 2022 20:20:13 +0200

modem-manager-gui (0.0.20-4) unstable; urgency=medium

  * debian/control:
    - new Maintainer.
    Thanks to Graham <ginggs> for your work on m-m-g!
    - bump 4.6.0 -> 4.6.1 (no changes needed)
  * debian/patches/: patchset updated (Closes: #1004258)
    - fix_segfault_on_DNS_entries.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 13 Jul 2022 23:13:38 +0200

modem-manager-gui (0.0.20-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Update standards version to 4.6.0, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on ofono-dev.
    + modem-manager-gui: Drop versioned constraint on connman, modemmanager,
      network-manager, ofono and ppp in Depends.

  [ Graham Inggs ]
  * Fix build with meson 0.61 (Closes: #1005596)

 -- Graham Inggs <ginggs@debian.org>  Sun, 27 Mar 2022 19:57:47 +0000

modem-manager-gui (0.0.20-2) unstable; urgency=medium

  * Fix tray icon (Closes: #969231)

 -- Graham Inggs <ginggs@debian.org>  Thu, 03 Sep 2020 13:14:06 +0000

modem-manager-gui (0.0.20-1) unstable; urgency=medium

  * New upstream release
  * Drop patches included upstream
  * Mark modem-manager-gui-help Multi-Arch: foreign
  * Drop Breaks and Replaces on ancient versions

 -- Graham Inggs <ginggs@debian.org>  Sun, 16 Aug 2020 14:06:55 +0000

modem-manager-gui (0.0.19.1-4) unstable; urgency=medium

  * Fix help pages format errors
  * Switch to Meson build system (Closes: #960938)
  * Switch to debhelper 13
  * Do not link with -Wl,--as-needed, it is now the default

 -- Graham Inggs <ginggs@debian.org>  Sun, 26 Jul 2020 18:41:44 +0000

modem-manager-gui (0.0.19.1-3) unstable; urgency=medium

  [ Graham Inggs ]
  * Switch to debhelper 12
  * Set Rules-Requires-Root: no
  * Switch from libappindicator to libayatana-appindicator (Closes: #956775)
  * Bump Standards-Version to 4.5.0, no changes

  [ Debian Janitor ]
  * Fix field name typos in debian/copyright.

 -- Graham Inggs <ginggs@debian.org>  Sat, 25 Apr 2020 13:20:23 +0000

=== debian/control ===
Source: modem-manager-gui
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matteo F. Vescovi <mfv@debian.org>
Uploaders: Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper-compat (= 13),
               itstool,
               libayatana-appindicator3-dev,
               libgdbm-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libgtkspell3-3-dev,
               meson,
               ofono-dev,
               po4a
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://linuxonly.ru/page/modem-manager-gui
Vcs-Browser: https://salsa.debian.org/debian/modem-manager-gui
Vcs-Git: https://salsa.debian.org/debian/modem-manager-gui.git

Package: modem-manager-gui
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         modemmanager | ofono,
         network-manager | connman | ppp,
         polkitd,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: modem-manager-gui-help, yelp
Suggests: evolution-data-server,
          libindicate5 | libmessaging-menu0,
          libnotify4
Pre-Depends: ${misc:Pre-Depends}
Description: GUI front-end for ModemManager / Wader / oFono
 This program is a simple graphical interface for ModemManager, Wader and oFono
 daemon D-Bus interfaces. It can send, receive and store SMS messages,
 send USSD requests and read answers in GSM7 and UCS2 formats,
 and scan for available mobile networks.

Package: modem-manager-gui-help
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GUI front-end for ModemManager / Wader / oFono - documentation
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=meson+ninja
